namespace EF_CodeFirst_Update_MVC
{
    using EF_CodeFirst_Update_MVC.Models;
    using System;
    using System.Data.Entity;
    using System.Linq;

    public class CustomerDBContext : DbContext
    {
        public CustomerDBContext() : base("name=constr")
        {
            // The Database is initialized and created.
            Database.SetInitializer(new CreateDatabaseIfNotExists<CustomerDBContext>());
        }

        // A DbSet for each Entity (Table) needs to be added.
        public DbSet<Customer> Customers { get; set; }

        // Add a DbSet for each entity type that you want to include in your model.

        protected override void OnModelCreating(DbModelBuilder ModelBuilder)
        {
            base.OnModelCreating(ModelBuilder);
        }
    }
}